Subject: RE: [Bridge-mib] WG Last Call:dratf-ietf-bridge-ext-v2-03.txt

From: "David Levi" <[email-masked]>
Date: Thu, 6 Jan 2005 08:17:08 -0800

Hi John,

A few more comments below . . . 

-Dave

-----Original Message-----
From: John Flick [mailto:[email-masked]] 
Sent: Friday, December 17, 2004 10:15 PM
To: Levi, David [SC100:323:EXCH]
Cc: [email-masked]; Congdon, Paul T; [email-masked]
Subject: Re: [Bridge-mib] WG Last Call:dratf-ietf-bridge-ext-v2-03.txt

See inline.

Thanks,
John

David Levi wrote:
> Hi All,
> 
> I've fixed some of these items, as described below, in the nroff
> sources, so we'll have the changes in the next draft when/if it is 
> submitted.
> 
> -Dave
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, November 19, 2004 9:40 PM
> To: [email-masked]
> Cc: Congdon, Paul T
> Subject: Re: [Bridge-mib] WG Last Call:dratf-ietf-bridge-ext-v2-03.txt
> 
> 
> Hi,
> 
> I have the following comments on this draft.  I have divided my 
> comments
> into introductory text, P-BRIDGE-MIB, and Q-BRIDGE-MIB.
> 

> 6. In Section 2, the following sentence:
> 
>     "IEEE 802.1Q defined port-based Virtual LANs where membership
>     is determined by the bridge port on which data frames are
>     received"
> 
>     should be updated for protocol VLANs.
> DBL> Can you suggest some text?

"IEEE 802.1Q defines port-based Virtual LANs where membership is determined
by the bridge port on which data frames are received, and
port-and-protocol-based Virtual LANs where membership is determined by the
bridge port on which frames are received and the protocol identifier of the
frame."

Note: I picked on consistency with protocol VLANs in my comments because we
define MIB objects in this document for managing protocol VLANs.  This is
not so much an issue of alignment with the latest version of 802.1Q as it is
an issue of internal consistency of this document.

DBL>  Fixed, I added your suggested text.

> 13. Much of the text in section 3.4.3 is about to be rendered obsolete
>      by draft-ietf-bridge-bridgemib-smiv2-07.txt.
> DBL> Is there anything in this section that will *not* be rendered 
> DBL> obsolete, and so should not be removed?

A minimal change would be to remove the note about compliance statements not
existing because the MIB uses SMIv1.

DBL>  I think minimal change is what we want, so I just removed the
statement SMIv1.

> P-BRIDGE-MIB comments:

> 4. Description of dot1dPortOutboundAccessPriority seems wrong - outbound
>     definition talks about received frame instead of transmitted 
> frame.
> DBL> Can others on the mailing-list verify this?  The current wording 
> DBL> is the same as was in RFC 2674.

We may want to leave this for IEEE to fix.  802.1D-1998 seems a bit
inconsistent here - the text in section 7.5.1 suggests that the outbound
access priority should be mapped from the regenerated user priority, but the
text in 7.7.5 seems to say that it should be mapped from the user_priority
in the receive data indication, which would be the receive user_priority
before the regenerated user priority mapping is applied.

DBL>  Okay, so no change.

> Q-BRIDGE-MIB comments:

> 3. dot1qForwardAllStaticPorts description talks about non-EFS behaviour,
>     but the acronym EFS has not been defined, and does not appear
>     anywhere else in this document.
> DBL> What would you suggest we change?  Perhaps adding a REFERENCE to 
> DBL> this object?

EFS probably means "extended filtering services", but the acronym is never
defined in either this document or in 802.1D.  This description talks about
non-EFS behavior.  802.1D refers to 802.1D-1990 filtering behavior as "basic
filtering services".  We should just replace "non-EFS behavior" with "basic
filtering services behavior".

DBL>  I changed the text to:
DBL>       to indicate the standard behaviour of using basic filtering
services

> 4. The description of dot1qPortAcceptableFrameTypes is no longer
>     accurate with protocol VLANs.
> DBL> Can you suggest how to change the text?

In the first paragraph of the description, replace "assigned to the PVID for
this port" with "assigned based on the PVID and VID Set for this port".

DBL>  Your suggested text doesn't indicate to what the frame is being
assigned.
DBL>  The old text did indicate this.  How about 'assigned to a VID based on
the
DBL>  port's PVID and VID settings'?

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib

---

From: John Flick <[email-masked]>
Date: Fri, 07 Jan 2005 19:59:38 -0800

Dave,

Your changes look fine except for one nit.

David Levi wrote:
> In the first paragraph of the description, replace "assigned to the PVID 
> for this port" with "assigned based on the PVID and VID Set for this port".
> 
> DBL>  The old text did indicate this.  How about 'assigned to a VID 
> based on the

I think I would put change this to "assigned to a VID based on the PVID
and VID Set for this port."  The "VID Set" term is the protocol VLAN
term I was trying to pull in here.

John